net.minecraft.dispenser

## Class BehaviorProjectileDispense

- java.lang.Object
- - net.minecraft.dispenser.BehaviorDefaultDispenseItem
  - - net.minecraft.dispenser.BehaviorProjectileDispense

- All Implemented Interfaces:
    IBehaviorDispenseItem

      public abstract class BehaviorProjectileDispense
      extends BehaviorDefaultDispenseItem

- - ### Field Summary

    - ### Fields inherited from interface net.minecraft.dispenser.IBehaviorDispenseItem

      `itemDispenseBehaviorProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BehaviorProjectileDispense()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemStack` | `dispenseStack(IBlockSource par1IBlockSource, ItemStack par2ItemStack)`
    `protected float` | `func_82498_a()`
    `protected float` | `func_82500_b()`
    `protected abstract IProjectile` | `getProjectileEntity(World var1, IPosition var2)`
    `protected void` | `playDispenseSound(IBlockSource par1IBlockSource)`

    - ### Methods inherited from class net.minecraft.dispenser.BehaviorDefaultDispenseItem

      `dispense, doDispense, spawnDispenseParticles`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BehaviorProjectileDispense

          public BehaviorProjectileDispense()

  - ### Method Detail

    - #### dispenseStack

          public ItemStack dispenseStack(IBlockSource par1IBlockSource,
                                ItemStack par2ItemStack)

      Overrides:
        `dispenseStack` in class `BehaviorDefaultDispenseItem`

    - #### playDispenseSound

          protected void playDispenseSound(IBlockSource par1IBlockSource)

      Overrides:
        `playDispenseSound` in class `BehaviorDefaultDispenseItem`

    - #### getProjectileEntity

          protected abstract IProjectile getProjectileEntity(World var1,
                                        IPosition var2)

    - #### func_82498_a

          protected float func_82498_a()

    - #### func_82500_b

          protected float func_82500_b()